package com.cirmuller.maidaddition.Utils.CraftingTasks;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import java.util.ArrayList;
import java.util.List;
import net.minecraft.core.BlockPos;
import net.minecraft.nbt.CompoundTag;
import net.minecraft.nbt.ListTag;
import net.minecraft.world.item.ItemStack;
import studio.fantasyit.maid_storage_manager.items.StorageDefineBauble;
import studio.fantasyit.maid_storage_manager.storage.Target;

public class StorageDefine2ChestsPos {
  public static List<BlockPos> fromStorageDefine(ItemStack stack) {
    CompoundTag tag = stack.m_41783_();
    if (tag == null || !tag.m_128441_(StorageDefineBauble.TAG_STORAGES))
      return new ArrayList<>(); 
    ListTag chestsTag = tag.m_128437_(StorageDefineBauble.TAG_STORAGES, 10);
    int sz = chestsTag.size();
    List<BlockPos> result = new ArrayList<>(sz);
    for (int i = 0; i < sz; i++) {
      Target storage = Target.fromNbt(chestsTag.m_128728_(i));
      result.add(storage.pos);
    } 
    return result;
  }
}
